de.esprit.netsuite.client.gui.event

## Class ServerSystemEventPrinter

- java.lang.Object
- - de.esprit.netsuite.client.gui.event.AbstractEventPrinter
  - - de.esprit.netsuite.client.gui.event.ServerSystemEventPrinter

- All Implemented Interfaces:
    GenericEvent.Listener, ClientConnectionEvent.Listener, CoServerConnectionEvent.Listener, GroupDataChangeEvent.Listener, PasswordChangeEvent.Listener, ResourceLockEvent.Listener, UserAuthenticationEvent.Listener, UserDataChangeEvent.Listener

      public class ServerSystemEventPrinter
      extends AbstractEventPrinter
      implements ClientConnectionEvent.Listener, CoServerConnectionEvent.Listener, ResourceLockEvent.Listener, GroupDataChangeEvent.Listener, UserDataChangeEvent.Listener, UserAuthenticationEvent.Listener, PasswordChangeEvent.Listener

  This printer prints all received `SystemEvent`s to the given console
  Author:
    Rainer Buesch

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServerSystemEventPrinter(ClientContext ctx, TextPrintable console)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clientConnectionChanged(ClientConnectionEvent e)`
    `void` | `coServerConnectionChanged(CoServerConnectionEvent e)`
    `protected java.lang.String` | `getEventType()`
    `void` | `groupDataChanged(GroupDataChangeEvent e)`
    `void` | `lockChanged(ResourceLockEvent e)`
    `void` | `userDataChanged(UserDataChangeEvent e)`
    `void` | `userLoginChanged(UserAuthenticationEvent e)`
    `void` | `userPasswordChanged(PasswordChangeEvent e)`

    - ### Methods inherited from class de.esprit.netsuite.client.gui.event.AbstractEventPrinter

      `printEvent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ServerSystemEventPrinter

          public ServerSystemEventPrinter(ClientContext ctx,
                                  TextPrintable console)

  - ### Method Detail

    - #### getEventType

          protected java.lang.String getEventType()

      Specified by:
        `getEventType` in class `AbstractEventPrinter`

    - #### clientConnectionChanged

          public void clientConnectionChanged(ClientConnectionEvent e)

      Specified by:
        `clientConnectionChanged` in interface `ClientConnectionEvent.Listener`

    - #### userLoginChanged

          public void userLoginChanged(UserAuthenticationEvent e)

      Specified by:
        `userLoginChanged` in interface `UserAuthenticationEvent.Listener`

    - #### userPasswordChanged

          public void userPasswordChanged(PasswordChangeEvent e)

      Specified by:
        `userPasswordChanged` in interface `PasswordChangeEvent.Listener`

    - #### userDataChanged

          public void userDataChanged(UserDataChangeEvent e)

      Specified by:
        `userDataChanged` in interface `UserDataChangeEvent.Listener`

    - #### groupDataChanged

          public void groupDataChanged(GroupDataChangeEvent e)

      Specified by:
        `groupDataChanged` in interface `GroupDataChangeEvent.Listener`

    - #### lockChanged

          public void lockChanged(ResourceLockEvent e)

      Specified by:
        `lockChanged` in interface `ResourceLockEvent.Listener`

    - #### coServerConnectionChanged

          public void coServerConnectionChanged(CoServerConnectionEvent e)

      Specified by:
        `coServerConnectionChanged` in interface `CoServerConnectionEvent.Listener`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.